# Interface methods for submodule: ColormapFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: ColormapFunction
class ColormapFunctionProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetMinimumRGBComponentValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetMinimumRGBComponentValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetMinimumRGBComponentValue(self) -> float:
		""""""
		...

	@overload
	def GetMinimumRGBComponentValue(self) -> int:
		""""""
		...

	@overload
	def SetMaximumRGBComponentValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetMaximumRGBComponentValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetMaximumRGBComponentValue(self) -> float:
		""""""
		...

	@overload
	def GetMaximumRGBComponentValue(self) -> int:
		""""""
		...

	@overload
	def SetMinimumInputValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetMinimumInputValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetMinimumInputValue(self) -> float:
		""""""
		...

	@overload
	def GetMinimumInputValue(self) -> int:
		""""""
		...

	@overload
	def SetMaximumInputValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetMaximumInputValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetMaximumInputValue(self) -> float:
		""""""
		...

	@overload
	def GetMaximumInputValue(self) -> int:
		""""""
		...

	@overload
	def __call__(self, arg0: float) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def __call__(self, arg0: float) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def __call__(self, arg0: int) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def __call__(self, arg0: int) -> Tuple[int, int, int]:
		""""""
		...

